/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: DummyWorkerAction.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.service.action;

import org.ow2.jasmine.jadort.service.entities.ModJKBean;

/**
 * Dummy worker action, only does internal calls.
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
public class DummyWorkerAction extends WorkerAction {

    protected String name;
    protected String url;
    protected String username;
    protected String password;

    protected DummyWorkerAction(final ModJKBean server) {
        this.name = server.getName();
        this.url = server.getConnector().getConnectorUrl();
        this.username = server.getConnector().getUsername();
        this.password = server.getConnector().getPassword();
        appendToLog("Created DummyWorkerAction for server '" + name + "'");
    }

}
