/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ObjectFactory.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.service.topology.xml;

import javax.xml.bind.annotation.XmlRegistry;

import org.ow2.jasmine.jadort.service.entities.JMXConnectorBean;
import org.ow2.jasmine.jadort.service.entities.ModJKBean;
import org.ow2.jasmine.jadort.service.entities.ServerBean;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the org.ow2.jasmine.jadort.topology.xml
 * package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
@XmlRegistry
public class ObjectFactory {

    /**
     * Create a new ObjectFactory that can be used to create new instances of
     * schema derived classes for package: org.ow2.jasmine.jadort.topology.xml
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link JMXConnectorBean }
     */
    public JMXConnector createJMXConnector() {
        return new JMXConnector();
    }

    /**
     * Create an instance of {@link ServerBean }
     */
    public Server createServer() {
        return new Server();
    }

    /**
     * Create an instance of {@link Topology.Group.Servers }
     */
    public Topology.Group.Servers createTopologyGroupServers() {
        return new Topology.Group.Servers();
    }

    /**
     * Create an instance of {@link ModJKBean }
     */
    public ModJK createModJK() {
        return new ModJK();
    }

    /**
     * Create an instance of {@link Topology }
     */
    public Topology createTopology() {
        return new Topology();
    }

    /**
     * Create an instance of {@link Topology.Group.ModJKs }
     */
    public Topology.Group.ModJKs createTopologyGroupModJKs() {
        return new Topology.Group.ModJKs();
    }

    /**
     * Create an instance of {@link Topology.Group }
     */
    public Topology.Group createTopologyGroup() {
        return new Topology.Group();
    }

}
