/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Topology.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.service.topology.xml;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.ow2.jasmine.jadort.service.entities.ModJKBean;
import org.ow2.jasmine.jadort.service.entities.ServerBean;

/**
 * <p>
 * Java class for anonymous complex type.
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *       &lt;choice maxOccurs=&quot;unbounded&quot;&gt;
 *         &lt;element name=&quot;group&quot;&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name=&quot;servers&quot;&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *                           &lt;sequence maxOccurs=&quot;unbounded&quot;&gt;
 *                             &lt;element ref=&quot;{}server&quot;/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                   &lt;element name=&quot;modJKs&quot; minOccurs=&quot;0&quot;&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *                           &lt;sequence maxOccurs=&quot;unbounded&quot;&gt;
 *                             &lt;element ref=&quot;{}modJK&quot;/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *                 &lt;attribute name=&quot;name&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
 *                 &lt;attribute name=&quot;type&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "group" })
@XmlRootElement(name = "topology")
public class Topology {

    protected List<Topology.Group> group;

    /**
     * Gets the value of the group property.
     * <p>
     * This accessor method returns a reference to the live list, not a
     * snapshot. Therefore any modification you make to the returned list will
     * be present inside the JAXB object. This is why there is not a
     * <CODE>set</CODE> method for the group property.
     * <p>
     * For example, to add a new item, do as follows:
     * 
     * <pre>
     * getGroup().add(newItem);
     * </pre>
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Topology.Group }
     */
    public List<Topology.Group> getGroup() {
        if (group == null) {
            group = new ArrayList<Topology.Group>();
        }
        return this.group;
    }

    /**
     * <p>
     * Java class for anonymous complex type.
     * <p>
     * The following schema fragment specifies the expected content contained
     * within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
     *       &lt;sequence&gt;
     *         &lt;element name=&quot;servers&quot;&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
     *                 &lt;sequence maxOccurs=&quot;unbounded&quot;&gt;
     *                   &lt;element ref=&quot;{}server&quot;/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *         &lt;element name=&quot;modJKs&quot; minOccurs=&quot;0&quot;&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
     *                 &lt;sequence maxOccurs=&quot;unbounded&quot;&gt;
     *                   &lt;element ref=&quot;{}modJK&quot;/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *       &lt;attribute name=&quot;name&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
     *       &lt;attribute name=&quot;type&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = { "servers", "modJKs" })
    public static class Group {

        @XmlElement(required = true)
        protected Topology.Group.Servers servers;
        @XmlElement(required = false)
        protected Topology.Group.ModJKs modJKs;
        @XmlAttribute(name = "name", required = true)
        protected String name;
        @XmlAttribute(name = "type", required = true)
        protected String type;

        /**
         * Gets the value of the servers property.
         * 
         * @return possible object is {@link Topology.Group.Servers }
         */
        public Topology.Group.Servers getServers() {
            return servers;
        }

        /**
         * Sets the value of the servers property.
         * 
         * @param value allowed object is {@link Topology.Group.Servers }
         */
        public void setServers(final Topology.Group.Servers value) {
            this.servers = value;
        }

        /**
         * Gets the value of the modJKs property.
         * 
         * @return possible object is {@link Topology.Group.ModJKs }
         */
        public Topology.Group.ModJKs getModJKs() {
            return modJKs;
        }

        /**
         * Sets the value of the modJKs property.
         * 
         * @param value allowed object is {@link Topology.Group.ModJKs }
         */
        public void setModJKs(final Topology.Group.ModJKs value) {
            this.modJKs = value;
        }

        /**
         * Gets the value of the name property.
         * 
         * @return possible object is {@link String }
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value allowed object is {@link String }
         */
        public void setName(final String value) {
            this.name = value;
        }

        /**
         * Gets the value of the type property.
         * 
         * @return possible object is {@link String }
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         * 
         * @param value allowed object is {@link String }
         */
        public void setType(final String value) {
            this.type = value;
        }

        /**
         * <p>
         * Java class for anonymous complex type.
         * <p>
         * The following schema fragment specifies the expected content
         * contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
         *       &lt;sequence maxOccurs=&quot;unbounded&quot;&gt;
         *         &lt;element ref=&quot;{}modJK&quot;/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = { "modJK" })
        public static class ModJKs {

            @XmlElement(required = true)
            protected List<ModJK> modJK;

            /**
             * Gets the value of the modJK property.
             * <p>
             * This accessor method returns a reference to the live list, not a
             * snapshot. Therefore any modification you make to the returned
             * list will be present inside the JAXB object. This is why there is
             * not a <CODE>set</CODE> method for the modJK property.
             * <p>
             * For example, to add a new item, do as follows:
             * 
             * <pre>
             * getModJK().add(newItem);
             * </pre>
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link ModJKBean }
             */
            public List<ModJK> getModJK() {
                if (modJK == null) {
                    modJK = new ArrayList<ModJK>();
                }
                return this.modJK;
            }

        }

        /**
         * <p>
         * Java class for anonymous complex type.
         * <p>
         * The following schema fragment specifies the expected content
         * contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
         *       &lt;sequence maxOccurs=&quot;unbounded&quot;&gt;
         *         &lt;element ref=&quot;{}server&quot;/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = { "server" })
        public static class Servers {

            @XmlElement(required = true)
            protected List<Server> server;

            /**
             * Gets the value of the server property.
             * <p>
             * This accessor method returns a reference to the live list, not a
             * snapshot. Therefore any modification you make to the returned
             * list will be present inside the JAXB object. This is why there is
             * not a <CODE>set</CODE> method for the server property.
             * <p>
             * For example, to add a new item, do as follows:
             * 
             * <pre>
             * getServer().add(newItem);
             * </pre>
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link ServerBean }
             */
            public List<Server> getServer() {
                if (server == null) {
                    server = new ArrayList<Server>();
                }
                return this.server;
            }

        }

    }

}
