/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JMXConnectorBeanTest.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.service.entities;

import java.util.UUID;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Assert;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * Tests the JMXConnectorBean class.
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
public class JMXConnectorBeanTest {

    private JMXConnectorBean jmx;

    /**
     * @throws java.lang.Exception
     */
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
    }

    /**
     * @throws java.lang.Exception
     */
    @AfterClass
    public static void tearDownAfterClass() throws Exception {
    }

    /**
     * @throws java.lang.Exception
     */
    @Before
    public void setUp() throws Exception {
        jmx = new JMXConnectorBean();
    }

    /**
     * @throws java.lang.Exception
     */
    @After
    public void tearDown() throws Exception {
        jmx = null;
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.JMXConnectorBean#getConnectorUrl()}.
     */
    @Test
    public void testGetSetConnectorUrl() {
        String connectorUrl = UUID.randomUUID().toString();

        jmx.setConnectorUrl(connectorUrl);
        Assert.assertEquals(connectorUrl, jmx.getConnectorUrl());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.JMXConnectorBean#getPassword()}.
     */
    @Test
    public void testGetSetPassword() {
        String password = UUID.randomUUID().toString();

        jmx.setPassword(password);
        Assert.assertEquals(password, jmx.getPassword());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.JMXConnectorBean#getUsername()}.
     */
    @Test
    public void testGetSetUsername() {
        String username = UUID.randomUUID().toString();

        jmx.setUsername(username);
        Assert.assertEquals(username, jmx.getUsername());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.JMXConnectorBean#toString()}.
     */
    @Test
    public void testToString() {
        Assert.assertNotNull(jmx.toString());
    }

}
