/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ModJKBeanTest.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.service.entities;

import java.util.UUID;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Assert;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * Tests the ModJKBean class.
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
public class ModJKBeanTest {

    private ModJKBean modJK;

    /**
     * @throws java.lang.Exception
     */
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
    }

    /**
     * @throws java.lang.Exception
     */
    @AfterClass
    public static void tearDownAfterClass() throws Exception {
    }

    /**
     * @throws java.lang.Exception
     */
    @Before
    public void setUp() throws Exception {
        modJK = new ModJKBean();
    }

    /**
     * @throws java.lang.Exception
     */
    @After
    public void tearDown() throws Exception {
        modJK = null;
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ModJKBean#getName()}.
     */
    @Test
    public void testGetSetName() {
        String name = UUID.randomUUID().toString();
        modJK.setName(name);

        Assert.assertEquals(name, modJK.getName());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ModJKBean#getConnector()}.
     */
    @Test
    public void testGetSetConnector() {
        JMXConnectorBean connector = new JMXConnectorBean();
        modJK.setConnector(connector);

        Assert.assertEquals(connector, modJK.getConnector());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ModJKBean#toString()}.
     */
    @Test
    public void testToString() {
        Assert.assertNotNull(modJK.toString());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ModJKBean#getId()}.
     */
    @Test
    public void testGetId() {
        Assert.assertNull(modJK.getId());
    }

}
