/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ServerBeanTest.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.service.entities;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Assert;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * Tests the ServerBean class.
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
public class ServerBeanTest {

    private ServerBean server;

    /**
     * @throws java.lang.Exception
     */
    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
    }

    /**
     * @throws java.lang.Exception
     */
    @AfterClass
    public static void tearDownAfterClass() throws Exception {
    }

    /**
     * @throws java.lang.Exception
     */
    @Before
    public void setUp() throws Exception {
        server = new ServerBean();
    }

    /**
     * @throws java.lang.Exception
     */
    @After
    public void tearDown() throws Exception {
        server = null;
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ServerBean#getName()}.
     */
    @Test
    public void testGetSetName() {
        Assert.assertNull(server.getName());

        String name = new String();
        server.setName(name);
        Assert.assertEquals(name, server.getName());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ServerBean#getCapacity()}.
     */
    @Test
    public void testGetSetCapacity() {
        Assert.assertNull(server.getCapacity());

        Integer capacity = new Integer((int) Math.random() * 100);
        server.setCapacity(capacity);
        Assert.assertEquals(capacity, server.getCapacity());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ServerBean#getConnector()}.
     */
    @Test
    public void testGetSetConnector() {
        Assert.assertNull(server.getConnector());

        JMXConnectorBean connector = new JMXConnectorBean();
        server.setConnector(connector);
        Assert.assertEquals(connector, server.getConnector());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ServerBean#toString()}.
     */
    @Test
    public void testToString() {
        Assert.assertNotNull(server.toString());
    }

    /**
     * Test method for
     * {@link org.ow2.jasmine.jadort.service.entities.ServerBean#getId()}.
     */
    @Test
    public void testGetSetId() {
        Assert.assertNull(server.getId());

        Integer id = (int) Math.random() * 100;
        server.setId(id);
        Assert.assertSame(id, server.getId());
    }

}
