/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AllTests.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.tests;

import junit.framework.JUnit4TestAdapter;
import junit.framework.Test;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;
import org.ow2.jasmine.jadort.service.entities.ApplicationBeanTest;
import org.ow2.jasmine.jadort.service.entities.DeploymentBeanTest;
import org.ow2.jasmine.jadort.service.entities.GroupBeanTest;
import org.ow2.jasmine.jadort.service.entities.JMXConnectorBeanTest;
import org.ow2.jasmine.jadort.service.entities.ModJKBeanTest;
import org.ow2.jasmine.jadort.service.entities.OperationStateBeanTest;
import org.ow2.jasmine.jadort.service.entities.ServerBeanTest;
import org.ow2.jasmine.jadort.service.entities.TopologyBeanTest;
import org.ow2.jasmine.jadort.service.implementation.JadortServiceImplTest;

/**
 * This class runs all tests.
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
@RunWith(Suite.class)
@SuiteClasses( { ApplicationBeanTest.class, DeploymentBeanTest.class, GroupBeanTest.class, JMXConnectorBeanTest.class,
        ModJKBeanTest.class, OperationStateBeanTest.class, ServerBeanTest.class, TopologyBeanTest.class,
        JadortServiceImplTest.class })
public class AllTests {
    public static Test suite() {
        return new JUnit4TestAdapter(AllTests.class);
    }
}
