/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: EjbTest.java 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.tests;

import java.io.File;
import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.InitialContext;

import org.ow2.jasmine.jadort.service.entities.DeploymentBean;
import org.ow2.jasmine.jadort.service.IJadortService;

/**
 * This class tests EJBs.
 *
 * @author Malek Chahine
 * @author Remy Bresson
 * @author S. Ali Tokmen
 */
public class EjbTest {

    /**
     * @param args
     */
    public static void main(final String[] args) {
        // String file =
        // "D:/workspaces/JaDOrT-console-workspace/JaDOrT-console/sampleXml/topologyErreur.xml";
        // String file =
        // "D:/workspaces/JaDOrT-console-workspace/JaDOrT-console/sampleXml/topology.xml";
        String topologyFile = "D:/Documents and Settings/tokmensa/Bureau/TEMP/topology.xml";
        String jarFile = "D:/Documents and Settings/tokmensa/Bureau/TEMP/jndiTree.war";

        try {
            System.out.println("Loading topology from file '" + topologyFile + "'");

            Hashtable<String, Object> env = new Hashtable<String, Object>();
            env.put(Context.INITIAL_CONTEXT_FACTORY, org.ow2.carol.jndi.spi.MultiOrbInitialContextFactory.class.getName());
            Context context = new InitialContext(env);
            IJadortService JaDOrTService = (IJadortService) context.lookup("JadortConsoleStatefulBean");

            JaDOrTService.createNewOperation("test");
            JaDOrTService.next();
            JaDOrTService.loadTopology(new File(topologyFile));
            JaDOrTService.next();
            JaDOrTService.selectGroup(JaDOrTService.getGroups().get(0));
            JaDOrTService.next();
            JaDOrTService.createApplication(new File(jarFile).toURI().toURL());
            JaDOrTService.next();
            JaDOrTService.next();
            JaDOrTService.next();

            for (DeploymentBean db : JaDOrTService.getDeployments()) {
                System.out.println(db.getServerName() + ": " + db.getState() + ", " + db.getProgress());
            }
        } catch (Exception e) {
            System.out.println(e.getMessage());
            e.printStackTrace();
        }
    }
}
