/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NextCommand.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.command {
    
    import com.adobe.cairngorm.commands.*;
    import com.adobe.cairngorm.control.*;
    import mx.rpc.IResponder;
    import mx.rpc.events.FaultEvent;
    import mx.rpc.events.ResultEvent;
    import org.ow2.jasmine.jadort.client.flex.business.*;
    import org.ow2.jasmine.jadort.client.flex.event.*;
    import org.ow2.jasmine.jadort.client.flex.model.*;
    import org.ow2.jasmine.jadort.client.flex.vo.*;
    
    
    /**
     * This class allows to go to next step, or next task(sub-step)
    */ 
    public class NextCommand extends SequenceCommandWithErrorHandling implements IResponder{
        
        override public function execute( event : CairngormEvent ): void {
		// TODO: temporary
        var model :JadortModelLocator = JadortModelLocator.getInstance();
		if (model.getIndex() == 6) {
			model.setIndex(7);
			return;
		}
		// END of temporary
		
		// delegate to the NextDelegate to call the next() service
        var delegate : NextDelegate  = JadortModelLocator.getInstance().getNextDelegate();
        delegate.responder = this;
        delegate.next();
    }

        /**
         * Manage the result found by a delegate.
         */
        public function result( event : Object ) : void {
            
            var resultEvent : ResultEvent = event as ResultEvent;
            var pageIndex : Number = resultEvent.result as Number;
        
            // Gets the Model
            var model :JadortModelLocator = JadortModelLocator.getInstance(); 
            var oldIndex:Number = model.getIndex();
            
            // set attributes in the model to load the needed objects
            // update the UI pages
            model.setIndex(pageIndex);
            // if oldIndex == 1 => we need the groups list to continue 
            if(  oldIndex == 1 ) {
                var getGroupEvent : GetGroupsEvent = new GetGroupsEvent();
                CairngormEventDispatcher.getInstance().dispatchEvent(getGroupEvent);
            }
            // if oldIndex == 2 => we need the status of UI next and previous buttons to update UI
            // enabled or disbaled
            else if(oldIndex == 2) {
                var canGoToNextStepEvent : CanGoToNextStepEvent = new CanGoToNextStepEvent();
                CairngormEventDispatcher.getInstance().dispatchEvent(canGoToNextStepEvent);
                var canGoToPreviousStepEvent : CanGoToPreviousStepEvent = new CanGoToPreviousStepEvent();
                CairngormEventDispatcher.getInstance().dispatchEvent(canGoToPreviousStepEvent);
            }
            // if  oldIndex == 3 or oldIndex == 4 or oldIndex == 5  => we need the deployments list and its data
            // to display the deployments progress 
            else if( oldIndex == 3 || oldIndex == 4 || oldIndex == 5) {
                CairngormEventDispatcher.getInstance().dispatchEvent(new GetDeploymentsEvent());
            }
            //dispatch ProgressStateEngineStep to progress the global progress Engine on yhe top of UI
            CairngormEventDispatcher.getInstance().dispatchEvent(new ProgressStateEngineStep("nextProgressStateEngineStep",model.getIndex()));
        }
    }

}