/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: PreviousCommand.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.command {
    
    import com.adobe.cairngorm.commands.*;
    import com.adobe.cairngorm.control.*;
    import mx.controls.Alert;
    import mx.rpc.IResponder;
    import mx.rpc.events.FaultEvent;
    import mx.rpc.events.ResultEvent;
    import org.ow2.jasmine.jadort.client.flex.business.*;
    import org.ow2.jasmine.jadort.client.flex.event.*;
    import org.ow2.jasmine.jadort.client.flex.model.*;
    import org.ow2.jasmine.jadort.client.flex.vo.*;
    
    /**
     * This class allows to go to previous step, or previous task(sub-step)
    */ 
    public class PreviousCommand extends SequenceCommandWithErrorHandling implements IResponder {
        
        override public function execute( event : CairngormEvent ): void {
            
            // delegate to the PreviousDelegate to call the previous() service
            var delegate : PreviousDelegate  = JadortModelLocator.getInstance().getPreviousDelegate();
            delegate.responder = this;
            delegate.previous();
        }
        
        /**
         * Manage the result found by a delegate.
         */
        public function result( event : Object ) : void {
            
            var resultEvent : ResultEvent = event as ResultEvent;
            var pageIndex : Number = resultEvent.result as Number;
            var model :JadortModelLocator = JadortModelLocator.getInstance()	
            
             // set attributes in the model to load the needed objects
            // update the UI pages
            model.setIndex(pageIndex);
        
            // si on est dans l'etape 4 ou 5 => we need the deployments list and its data
            // to display the deployments progress 
            if( model.getIndex() == 4 || model.getIndex() == 5) {
                CairngormEventDispatcher.getInstance().dispatchEvent(new GetDeploymentsEvent());
            }
            else {
                //update the status of next and previous buttons => ebanled or disabled
                var canGoToNextStepEvent : CanGoToNextStepEvent = new CanGoToNextStepEvent();
                CairngormEventDispatcher.getInstance().dispatchEvent(canGoToNextStepEvent);
                var canGoToPreviousStepEvent : CanGoToPreviousStepEvent = new CanGoToPreviousStepEvent();
                CairngormEventDispatcher.getInstance().dispatchEvent(canGoToPreviousStepEvent);
            }
            CairngormEventDispatcher.getInstance().dispatchEvent(new ProgressStateEngineStep("previousProgressStateEngineStep",model.getIndex()));
        }
    }

}