/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JadortControl.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.control
{
	import com.adobe.cairngorm.control.*;
	import mx.controls.Alert;
	import org.ow2.jasmine.jadort.client.flex.command.*;
	import org.ow2.jasmine.jadort.client.flex.command.*;
	import org.ow2.jasmine.jadort.client.flex.event.*;
	
	public class JadortControl extends FrontController
	{
		public function JadortControl()
		{
			addCommand(GetDeploymentsEvent.EVENT_GET_DEPLOYMENTS, GetDeploymentsCommand);
			addCommand(AbortServerEvent.EVENT_ABORT_SERVER, AbortServerCommand);
			addCommand(RestartServerEvent.EVENT_RESTART_SERVER, RestartServerCommand);
		    addCommand(IgnoreServerEvent.EVENT_FORCE_SERVER, IgnoreServerCommand);
			addCommand(GetGroupsEvent.EVENT_GET_GROUPS, GetGroupsCommand);
			addCommand(CreateApplicationEvent.EVENT_CREATE_APPLICATION, CreateApplicationCommand);
			addCommand(CheckServerEvent.EVENT_CHECK_SERVER, CheckServerCommand);
			addCommand(GetPageIndexEvent.EVENT_GET_PAGE_INDEX, GetPageIndexCommand);
			addCommand(NextEvent.EVENT_NEXT, NextCommand);
			addCommand(PreviousEvent.EVENT_PREVIOUS, PreviousCommand);
			addCommand(LoadTopologyEvent.EVENT_LOAD_TOPOLOGY, LoadTopologyCommand);
			addCommand(SelectGroupEvent.EVENT_SELECT_GROUP, SelectGroupCommand);
			addCommand(CanGoToNextStepEvent.EVENT_CAN_GOTO_NEXT_STEP, CanGoToNextStepCommand);
			addCommand(CanGoToPreviousStepEvent.EVENT_CAN_GOTO_PREVIOUS_STEP, CanGoToPreviousStepCommand);
			addCommand(GetSelectedGroupEvent.EVENT_GET_SELECTED_GROUP, GetSelectedGroupCommand);
			addCommand(SelectOperationEvent.EVENT_SELECT_OPERATION, SelectOperationCommand);
			addCommand(CreateNewOperationEvent.EVENT_CREATE_NEW_OPERATION, CreateNewOperationCommand);
			addCommand(GetOperationsListEvent.EVENT_GET_OPERATIONS_LIST, GetOperationsListCommand);
			addCommand(DeleteOperationEvent.EVENT_DELETE_OPERATION, DeleteOperationCommand);
			addCommand(InitializeEvent.EVENT_INITIALIZE, InitializeCommand);
		}
	}
}
