/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ApplicationRender.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.view {
    
    import mx.core.UIComponent;
    import mx.controls.listClasses.IListItemRenderer;
    import mx.controls.listClasses.IDropInListItemRenderer;
    import mx.core.UITextField;
    import mx.controls.listClasses.BaseListData;
	import org.ow2.jasmine.jadort.client.flex.vo.*;
	import org.ow2.jasmine.jadort.client.flex.model.*;
	
	public class ApplicationRender extends UIComponent implements IListItemRenderer, IDropInListItemRenderer {
        
	    // IListItemRenderer implementation
	    [Bindable]
		public var model : JadortModelLocator = JadortModelLocator.getInstance();
	    private var _data:ApplicationVO;
        
	    public function get data():Object{
            return _data;
        }
        
        public function set data(value:Object):void {
            _data = value as ApplicationVO;
        }
        
        //IDropInListItemRenderer implementation:
        private var _listData:BaseListData;
        
        // Make the listData property bindable.
        [Bindable("dataChange")]
        
        public function get listData():BaseListData{
          return _listData;
        }
        
        public function set listData(value:BaseListData):void {
          _listData = value;
        }
        
        private var txt:UITextField;
        
        //create your children here
        override protected function createChildren():void {
            super.createChildren();
            txt = new UITextField();
            txt.x = 10;
            txt.width=150
            txt.y = 2;
            addChild(txt);
            
        }
        
        override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void{
            super.updateDisplayList(unscaledWidth, unscaledHeight);
            if (!model.getRefreshScreen() && this._data.name == model.getUploadedApplication().name) {
                txt.styleName = getStyle('myawesometextstyleName');
            }
            else {
                txt.styleName = getStyle('myawesometextstyleName2');
            }
            txt.text = this._data.toString();
        }
    }

}