/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CheckBoxItemRenderer.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.view {
    
    import flash.events.MouseEvent;
    import mx.controls.CheckBox;
    import mx.controls.DataGrid;
    import org.ow2.jasmine.jadort.client.flex.model.JadortModelLocator;
    import org.ow2.jasmine.jadort.client.flex.vo.*;
    
    public class CheckBoxItemRenderer extends CheckBox {
        
        [Bindable]
        public var model : JadortModelLocator = JadortModelLocator.getInstance();
        
        public function CheckBoxItemRenderer() {
            super();
        }
        
        override public function validateProperties():void {
            super.validateProperties();
            if (listData) {
                var dg:DataGrid = DataGrid(listData.owner);
                var column:CheckBoxHeaderColumn =	dg.columns[listData.columnIndex];
                column.addEventListener("click",columnHeaderClickHandler);
                selected = data[column.dataField];
            }
        }
		
        override public function get data():Object {
            return super.data;
        }
        
        override public function set data(value:Object):void {
            super.data = value;
            if(!super.data.isSelected)
                selected = false;
        }
        
        private function columnHeaderClickHandler(event:MouseEvent):void {
            selected = event.target.selected;
        }
        
        override protected function clickHandler(event:MouseEvent):void {
            super.clickHandler(event);
	    	if (selected ) {
		        if (!model.selectedServers.contains(data))
		            model.selectedServers.addItem(data );
		        }
	    	else {
	    	    if (model.selectedServers.contains(data))
	    	        model.selectedServers.removeItemAt(model.selectedServers.getItemIndex(data));
	    	}
	    	model.nextButtonEnabled = model.selectedServers.length > 0;
	    }
    }
    
}