/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MigrationExecutionOperationRenderClass.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.view {
    
    import flash.events.*;
    import mx.collections.ArrayCollection;
    import mx.containers.HBox;
    import mx.controls.*;
    import mx.controls.dataGridClasses.DataGridListData;
    import mx.controls.listClasses.BaseListData;
    import mx.events.*;
    import mx.managers.*;
    import org.ow2.jasmine.jadort.client.flex.model.JadortModelLocator;
    import org.ow2.jasmine.jadort.client.flex.vo.*;
    import org.ow2.jasmine.jadort.client.flex.event.*;
    import com.adobe.cairngorm.control.CairngormEventDispatcher; 
    import mx.containers.TitleWindow;
    
    public class MigrationExecutionOperationRenderClass extends HBox {
        
        public var ViewLogButton : Button;
        public var AbortServerButton : Button;	
        public var RestartServerButton : Button;	
        public var IgnoreServerButton : Button;
    
        private var _listData:DataGridListData;
        		
        [Bindable]
        private var LogErrorMessage:String;
        private var logErrorWindow:TitleWindow;
		
        [Bindable]
        public var deployment : DeploymentVO;
        
        [Bindable]
        public var model : JadortModelLocator = JadortModelLocator.getInstance();
        
        
        private function onClose(e:CloseEvent):void {
            PopUpManager.removePopUp(logErrorWindow);
		}
        
  		public function set listData(value:BaseListData):void {
  		    _listData = DataGridListData(value);
  		}
  		
  		public function get listData():BaseListData {
  		    return _listData;
  		}
  		
  		override public function set data(value:Object):void {
  		    
  		    super.data = value;
  		    this.deployment = value as DeploymentVO;
  		    if ( super.data!=null) {
  		        this.LogErrorMessage=super.data.log;
  		        
  		        // update UI
	            if (super.data.state =="Error !") { 
	                RestartServerButton.visible = true;
	                IgnoreServerButton.visible = true;
	                AbortServerButton.visible = false;  
	            }
	            else {
	                RestartServerButton.visible = false;
	                IgnoreServerButton.visible = false;
	                AbortServerButton.visible = (super.data.state == "Running");
	            }
	        }
  		}

        override public function get data():Object {
            return super.data;
        }
          
        
	   public function clickViewLogButton(event:Event):void {
	       
	        // dispaly log 
			logErrorWindow = TitleWindow(PopUpManager.createPopUp(this,ErrorLogPopUp,true)) ;
			(logErrorWindow as ErrorLogPopUp).messageError.text =this.LogErrorMessage;
			logErrorWindow.addEventListener(CloseEvent.CLOSE,onClose);
			logErrorWindow.showCloseButton=true;
			PopUpManager.centerPopUp(logErrorWindow);
		}
			
       public function clickAbortServerButton(event:Event):void {
			RestartServerButton.visible = false;
			IgnoreServerButton.visible = false;   
			AbortServerButton.visible = true;

			// dispatch AbortServerEvent to abort server 
          	var abortServerEvent : AbortServerEvent = new AbortServerEvent(super.data.server);
		 	CairngormEventDispatcher.getInstance().dispatchEvent(abortServerEvent);
        }
        
       public function clickRestartServerButton(event:Event):void {
           
            // update UI 
			RestartServerButton.visible = false;
			IgnoreServerButton.visible = false;   
			AbortServerButton.visible = true;
			
			// dispatch restartServerEvent to restart server 
          	var restartServerEvent : RestartServerEvent = new RestartServerEvent(super.data.server);
		 	CairngormEventDispatcher.getInstance().dispatchEvent(restartServerEvent);
        }
        
       public function clickIgnoreServerButton(event:Event):void {
           
            // update UI 
			RestartServerButton.visible = false;
			IgnoreServerButton.visible = false;   
			AbortServerButton.visible = true;
            
			// dispatch CheckServerEvent to check server 
            var checkServerEvent : CheckServerEvent = new CheckServerEvent(super.data.server);
		 	CairngormEventDispatcher.getInstance().dispatchEvent(checkServerEvent); 	          	                       
        }
    }

}