/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: DeploymentVO.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.vo {
    
    import com.adobe.cairngorm.vo.IValueObject;
    
    [RemoteClass(alias="org.ow2.jasmine.jadort.service.entities.DeploymentBean")]
    [Bindable]
    public class DeploymentVO implements IValueObject {
        
        private var deploymentServer:ServerVO;
        private var deploymentSelected:Boolean;
        private var deploymentState:String;
        private var deploymentOldApplication:String;
        private var deploymentLog:String;
        private var deploymentServerName:String;
        private var deploymentProgress:Number;

    
        public function DeploymentVO() {
            super();
        }
        
        public  function get server() : ServerVO {
            return deploymentServer;
        }
        
        public function  get serverName() : String {
            return deploymentServer.name;
        }		
		
		public  function get isSelected() : Boolean {
		    return deploymentSelected
		}
		
		public function get state() :String {
		    return deploymentState;
		}
	
		public function  get oldApplication() :  String {
		    return deploymentOldApplication;
		}
			
		public function  get log() :  String {
		    return deploymentLog;
		}	

		public function  get progress() :  Number {
		    return deploymentProgress;
		}	
			
		public  function set server(deploymentServer:ServerVO) : void {
		    this.deploymentServer = deploymentServer;
		}

		public function set selected(deploymentSelected:Boolean) :void {
		    this.deploymentSelected = deploymentSelected;
		}
		
		public function  set state(deploymentState:String) :  void {
		    this.deploymentState = deploymentState;
		}

		public function  set log(deploymentLog:String) :  void {
		    this.deploymentLog = deploymentLog;
		}
		
		public function  set progress(deploymentProgress:Number) :  void {
		    this.deploymentProgress = deploymentProgress;
		}
    }

}