/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GroupVO.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.vo {
    
    import com.adobe.cairngorm.vo.IValueObject;
    import mx.collections.ArrayCollection;
    
    [RemoteClass(alias="org.ow2.jasmine.jadort.service.entities.GroupBean")]
    [Bindable]
    public class GroupVO implements IValueObject {
        
        [ArrayElementType(ModJKVO)]
        private var groupModJK : ArrayCollection;
        
        [ArrayElementType(ServerVO)]
        private var groupServers : ArrayCollection;
        
        [ArrayElementType(ApplicationVO)]
        private var groupApplications : ArrayCollection;
        
        private var groupId:Number;
        private var groupMode:Number;
        private var groupName:String;
        private var groupSelected:Boolean = false;
        private var groupType:String;
        
        public function GroupVO() {
            super();		
        }
        
        public  function get id() : Number {
            return groupId;
        }
        
        public  function get modJK() : ArrayCollection {
		    return groupModJK;
		 }
        
        public function  get name() : String {
		     return groupName;
		}
        
        public function  get servers() : ArrayCollection {
            return groupServers;
        }
        
        public function  get applications() : ArrayCollection {
            return groupApplications;
        }
        
        public  function get isSelected() : Boolean {
            return groupSelected;
        }
        
        public function  get type() : String {
            return groupType
        }

        public function set id(groupId:Number) :void {
            this.groupId = groupId;
        }
        
        public function set selected(groupSelected:Boolean) :void {
            this.groupSelected = groupSelected;
            }
        
        public function set servers(groupServers:ArrayCollection) :void {
            this.groupServers = groupServers;
        }
        
        public  function set modJK( groupModJK : ArrayCollection) : void {
            this.groupModJK = groupModJK;
        }
        
        public function  set name(groupName : String)  : void {
            this.groupName =groupName ;
        }
        
        public function  set type(groupType:String) : void {
            this.groupType =groupType ;
        }
        
        public function  set applications(groupApplications:ArrayCollection) : void {
            this.groupApplications =groupApplications ;
        }
        
        public function  get serversName() : String {
            
            var gServerNames : String  = "";
        
            for(var i:Number = 0;i<groupServers.length;i++) {
                if (i == 0) { 
                    gServerNames = groupServers.getItemAt(i).name;
                }
                else {
                    gServerNames = gServerNames+"\n"+groupServers.getItemAt(i).name; 
                }
            }
        return gServerNames;
        }
        
        public function  get applicationsName() : String {
            
            var gApplicationsName : String  = "";
        
            for(var i:Number = 0;i<applications.length;i++) {
            	if(applications.getItemAt(i).state == "Deployed") {
	                if (i == 0) { 
	                    gApplicationsName = applications.getItemAt(i).toString();
	                }
	                else { 
	                    gApplicationsName = gApplicationsName+"\n"+applications.getItemAt(i).toString();
	                }
	            }
            }
            return gApplicationsName;
        }
        
        public function  get modJkNames() : String {
            
            var groupModJKsName : String  = "";
        
            for(var i:Number = 0;i<modJK.length;i++) {
                if (i == 0) {
                    groupModJKsName = groupModJK.getItemAt(i).name;
                }
                else { 
                    groupModJKsName = groupModJKsName+"\n"+groupModJK.getItemAt(i).name;
                }
            }
        return groupModJKsName;
        }
    }
    
}