/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ServerVO.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.vo {
    
    import com.adobe.cairngorm.vo.IValueObject;
    
    [RemoteClass(alias="org.ow2.jasmine.jadort.service.entities.ServerBean")]
    [Bindable]
    
     public class ServerVO implements IValueObject {
        
        private var serverName:String;
        private var serverConnector:JMXConnectorVO;
        private var serverCapacity:Number;
        private var serverSelected:Boolean = false;
        private var v:OperationStateVO;
    
    
        public function ServerVO() {
            super();	
        }
        
        public  function get connector() : JMXConnectorVO {
            return serverConnector;
        }
        
        public function  get connectorURL() : String {
            return serverConnector.connectorUrl;
        }
        
        public function  get name() : String {
            return serverName;
        }
        
        public function  get capacity() : Number {
            return serverCapacity;
        }
        
        public  function get isSelected() : Boolean {
            return serverSelected;
        }
        
        public function set selected(serverSelected:Boolean) :void {
            this.serverSelected = serverSelected;
            }
        
        public  function set connector( serverConnector : JMXConnectorVO) : void {
            this.serverConnector = serverConnector;
        }
        
        public function  set name(serverName : String)  : void {
            this.serverName =serverName ;
        }
        
        public function  set capacity( serverCapacity: Number)  : void {
            this.serverCapacity= serverCapacity;
        }
    }

}